# TODO:
# - Fix tests (a few fail)
#
# Conditional build:
%bcond_with	tests	# unit tests
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module

%define		module	psutil
Summary:	A cross-platform process and system utilities module for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzia do procesów i systemu dla Pythona
Name:		python-%{module}
Version:	5.4.8
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/psutil/
Source0:	https://github.com/giampaolo/psutil/archive/release-%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	27a34a9aba8bec93cc0927647999b400
URL:		https://github.com/giampaolo/psutil
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
%if %{with tests}
BuildRequires:	python-ipaddress
BuildRequires:	python-mock
%if "%{py_ver}" < "2.7"
BuildRequires:	python-unittest2
%endif
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
%endif
Requires:	python-modules >= 1:2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%description -l pl.UTF-8
Moduł dostarczający interfejs do informacji o działających procesach
oraz zużyciu systemu (procesor, dyski, pamięć, sieć) w przenośny
sposób używjąc Pythona. Implementuje wiele funkcjonalności oferowanych
przez narzędzia linii komend.

%package -n python3-%{module}
Summary:	A cross-platform process and system utilities module for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzia do procesów i systemu dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%description -n python3-%{module} -l pl.UTF-8
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%prep
%setup -q -n %{module}-release-%{version}

%if %{with tests}
# prepare subdir to run tests from
# (cannot use topdir with PYTHONPATH=build-?/lib.* because python finds psutil dir without
# _psutil_linux module inside in cwd before build-?/lib.*/psutil dir from PYTHONPATH)
install -d tests
ln -sf ../scripts tests
%endif

%build
%if %{with python2}
%py_build
# "test" target causes endless loop, so...

%if %{with tests}
cd tests
ln -snf ../build-2/lib.*/psutil psutil
PYTHONPATH=$(pwd) \
%{__python} -m psutil.tests
cd ..
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
cd tests
ln -snf ../build-3/lib.*/psutil psutil
PYTHONPATH=$(pwd) \
%{__python3} -m psutil.tests
cd ..
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/psutil/tests
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/psutil/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CREDITS HISTORY.rst IDEAS LICENSE README.rst
%dir %{py_sitedir}/psutil
%attr(755,root,root) %{py_sitedir}/psutil/_psutil_linux.so
%attr(755,root,root) %{py_sitedir}/psutil/_psutil_posix.so
%{py_sitedir}/psutil/*.py[co]
%{py_sitedir}/psutil-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CREDITS HISTORY.rst IDEAS LICENSE README.rst
%dir %{py3_sitedir}/psutil
%attr(755,root,root) %{py3_sitedir}/psutil/_psutil_linux.*.so
%attr(755,root,root) %{py3_sitedir}/psutil/_psutil_posix.*.so
%{py3_sitedir}/psutil/*.py
%{py3_sitedir}/psutil/__pycache__
%{py3_sitedir}/psutil-%{version}-py*.egg-info
%endif
%changelog
* Mon Nov 12 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-psutil.git;a=log;h=master

* Mon Nov 12 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ea531
- up to 5.4.8

* Thu Jul 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 658986d
- updated to 5.4.6

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d10a656
- release 2 (by relup.sh)

* Thu May 31 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d7eca3
- up to 5.4.5

* Tue Dec 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> eb72e6a
- up to 5.4.2

* Fri Nov 10 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f23b0c
- up to 5.4.1

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 0850312
- up to 5.4.0

* Sun Sep 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 845b44a
- up to 5.3.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b06d117
- python 3.6
- release 2 (by relup.sh)

* Sun Oct 23 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> bb8ef1a
- up to 4.4.0

* Sun Sep 18 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cfcf367
- up to 4.3.1

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 52ca097
- updated to 4.2.0

* Wed Apr 27 2016 Mateusz Korniak <matkor@pld-linux.org> fb9dc60
- up to 4.1.0

* Mon Feb 08 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d459ca3
- up to 3.4.2

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> 79c2de4
- updated BRs and disabled tests (they dpn't stand a chance of working on builders)

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> 72bc27e
- up to 3.4.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7fbc6e5
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b803946
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 28ffe78
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 078fe79
- python3.5 rebuild
- release 3 (by relup.sh)

